Skip to main content
GET
/
orgs
/
{org_id}
/
contacts
/
{contact_id}
/
activities
List contact activities
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/activities
[
  {
    "id": "<string>",
    "type": "note_created",
    "created_at": "2023-11-07T05:31:56Z",
    "actor": {
      "id": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com",
      "avatar": "<string>",
      "seen_at": "2023-11-07T05:31:56Z"
    },
    "assistant": {
      "id": "<string>",
      "name": "<string>",
      "avatar_url": "<string>"
    },
    "segment": {
      "id": "<string>",
      "name": "<string>",
      "color": "red",
      "contacts_count": 123,
      "boards": [
        {
          "board_id": "<string>",
          "board_name": "<string>",
          "column_id": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "broadcast": {
      "id": "<string>",
      "name": "<string>"
    },
    "note": {
      "id": "<string>",
      "contact_id": "<string>",
      "content": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "user": {
        "id": "<string>",
        "name": "<string>",
        "avatar": "<string>"
      }
    },
    "metadata": {}
  }
]

Path Parameters

org_id
string
required

Org ID

contact_id
string
required

Contact ID

Query Parameters

type
enum<string>

Schema for the type of an activity event

Available options:
note_created,
segment_added,
segment_removed,
contact_blocked,
contact_unblocked,
contact_unsubscribed,
contact_resubscribed
page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
type
enum<string>
required

Schema for the type of an activity event

Available options:
note_created,
segment_added,
segment_removed,
contact_blocked,
contact_unblocked,
contact_unsubscribed,
contact_resubscribed
created_at
string<date-time> | null
required
actor
object

Schema for a limited user

assistant
object

Schema for an assistant actor in an activity

segment
object

Schema for the segment

broadcast
object

Public information about a broadcast

note
object

Schema for a contact note

metadata
object